TREE(1)

NOM
tree - liste le contenu de répertoires sous forme d'arborescence

SYNOPSIS
tree [ -adfgilnopqstuxACDFNS ] [ -L niveau [ -R ]] [ -H baseHREF ] [ -P motif ] [ -I motif ] [ repertoire ... ]

DESCRIPTION
Tree est un programme de listage récursif de répertoires qui produit un listage des fichiers indenté en profondeur, qui est mis en couleurs à la manière de dircolors si la variable d'environnement LS_COLORS est activée et que la sortie est un tty. Sans arguments, tree liste les fichiers contenus dans le répertoire courant. Lorsque des répertoires sont donnés en argument, tree liste tous les fichiers et/ou répertoires trouvés dans les répertoires donnés, chacun à son tour. Après avoir affiché tous les fichiers et répertoires trouvés, tree renvoie le nombre total de fichiers et/ou de répertoires listés. Par défaut, quand un lien symbolique est rencontré, la chemin auquel il renvoie est affiché après le nom du lien sous la forme suivante :
    nom -> chemin-reel
Si l'on donne l'option `-l' et que le lien symbolique renvoie à un répertoire existant, tree suivra le chemin du lien symbolique comme s'il s'agissait d'un véritable répertoire.

OPTIONS
Tree comprend les commutateurs suivants en ligne de commande :

--help
    Donne en sortie un listage verbeux des options d'utilisation

--version
    Sort la version de tree

--inodes
    Affiche le numéro d'inode du fichier ou du répertoire

--device
    Affiche le numéro de périphérique auquel le fichier ou le répertoire appartient

--noreport
    Omet d'afficher le compte des fichiers et répertoires à la fin du listage arborescent

--nolinks
    Désactive les hyperliens en sortie HTML

-a  Tous les fichiers sont affichés. Par défaut tree n'affiche pas les fichiers cachés (ceux qui commencent par un point `.'). En aucun cas, tree n'affiche les constructeurs de système de fichiers `.' (répertoire courant) et `..' (répertoire parent).

-d  Liste uniquement les répertoires

-f  Affiche le chemin complet en préfixe de chaque fichier

-i  Fait que tree n'affiche pas les lignes d'indentation, ce qui est utile en conjonction avec l'option -f

-l  Suit les liens symboliques s'ils pointent sur des répertoires, comme s'ils étaient des répertoires. Les liens symboliques qui finiraient de façon récursive sont évités, une fois détectés

-x  Reste exclusivement dans le système de fichiers courant, à la manière de find -xdev

-P motif
    Liste exclusivement les fichiers correspondant au joker motif. Remarque : vous devez utiliser l'option -a pour prendre également en considération les fichiers commençant par un point `.'. Les opérateurs de joker valides sont `*' (zéro caractère ou plus), `?' (n'importe quel caractère), `[...]' (n'importe quel caractère parmi ceux qui sont listés entre crochets (un tiret `-' optionnel peut être utilisé pour une plage de caractères ; par exemple : [A-Z])), et `[^...]' (n'importe quel caractère à l'exclusion de ceux qui sont listés entre crochets).

-I motif
    Ne pas lister les fichiers correspondant au joker motif

-p  Afficher les protections pour chaque fichier (comme avec ls -l)

-o nom-de-fichier
    Envoie la sortie vers nom-de-fichier

-s  Affiche la taille de chaque fichier devant son nom

-u  Affiche le nom d'utilisateur du fichier, ou le numéro d'UID si aucun nom d'utilisateur n'est disponible

-g  Affiche le nom de groupe du fichier, ou le numéro de GID si aucun nom de groupe n'est disponible

-D  Affiche la date et l'heure de dernière modification du fichier

-F  Appose un `/' pour les répertoires, un `=' pour les fichiers de socket, un `*' pour les fichiers exécutables et un `|' pour les FIFO, comme avec ls -F

-q  Affiche les caractères non affichables dans les noms de fichiers sous forme de points d'interrogation au lieu de la notation carret par défaut

-N  Affiche les caractères non affichables tels quels au lieu de la notation carret par défaut

-t  Trie la sortie par horaire de dernière modification, au lieu de trier alphabétiquement

-n  Désactive toujours la mise en couleurs, forcée par l'option -C

-C  Active toujours la mise en couleurs, au moyen des couleurs intégrées par défaut si la variable d'environnement LS_COLORS n'est pas activée. Utile pour mettre en couleurs la sortie vers un tube.

-A  Active le graphisme ANSI de lignes pour l'affichage des lignes d'indentation

-S  Active le graphisme ASCII de lignes (utile pour utiliser les polices du mode console de Linux)

-L niveau
    Maximum de profondeur d'affichage de l'arborescence des répertoires

-R  Descendre récursivement dans l'arborescence de chaque niveau de répertoires (voir l'option -L), et pour chacun d'eux exécuter de nouveau tree en y ajoutant `-o 00Tree.html' comme nouvelle option.

-H baseHREF
    Active la sortie HTML, en incluant des références HTTP. Utile pour les sites FTP. baseHREF donne l'emplacement ftp de base lorsque l'on utilise la sortie HTML. C'est-à-dire que le répertoire local peut être `/local/ftp/pub', mais il doit être référencé en tant que `ftp://hostname.organization.domain/pub' (baseHREF doit être `ftp://hostname.organization.domain'). Conseils : n'utilisez pas les lignes ANSI avec cette option, et n'indiquez pas plus d'un répertoire dans la liste des répertoires. Si vous voulez utiliser des couleurs via une feuille de style CSS, utilisez l'option -C en plus de cette option pour forcer la sortie en couleurs.

FICHIERS
/etc/DIR_COLORS    Base de données des couleurs système
~/.dircolors    Base de données des couleurs utilisateur

ENVIRONNEMENT
LS_COLORS    Informations sur les couleurs créées par dircolors

AUTEUR
Steve Baker (ice@mama.indstate.edu)
La sortie HTML a été hackée par Francesc Rocher (rocher@econ.udg.es)

BOGUES
Aucun bogue connu. N'a pas été testé en profondeur. Pourrait utiliser quelques options supplémentaires, à la manière de ls.

VOIR AUSSI
dircolors(1L), ls(1L), find(1L)

TRADUCTEUR
Baptiste Mélès <baptiste.meles@ens.fr> N'hésitez pas à reporter respectivement à l'auteur ou au traducteur toute erreur ou omission dans cette page de manuel.